Summary: GSM AT interface library for AlloGSM GSM/CDMA cards
Name: liballogsmat
Version: 2.0.7
Release: 1%{?dist}
License: GPLv2+
Group: System Environment/Libraries
# URL: http://www.chan-extra.org/index.php/Main_Page
Source0: liballogsmat-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
Patch0: liballogsmat-2.0.7-silence-timeout-start-message.patch

%description
libgsmat is an userspace library, part of the chan_extra project. It implements
routines for interfacing with OpenVox G400P GSM/CDMA cards through AT commands.

This version of the package has been patched for AlloGSM cards.

%package devel
Summary: Development files for libgsmat
Group: Development/Libraries
Requires: liballogsmat = %{version}-%{release}

%description devel
Development files for liballogsmat.

%prep
%setup0 -n liballogsmat
%patch0 -p1

%build
make libdir=%{_libdir} %{?_smp_mflags}

%install
rm -rf %{buildroot}
make libdir=%{_libdir} INSTALL_PREFIX=%{buildroot} install
# rm %{buildroot}%{_libdir}/libgsmat.a
mkdir -p %{buildroot}%{_sysconfdir}/allo/
#cp config_files/*.conf %{buildroot}%{_sysconfdir}/openvox/opvxg4xx/modules/
cp -r config_files/ %{buildroot}%{_sysconfdir}/allo/allog4c

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root,-)
%{_libdir}/liballogsmat.so.*
%config(noreplace) %{_sysconfdir}/allo/allog4c/modules/*.conf
%config(noreplace) %{_sysconfdir}/allo/allog4c/response/*.conf

%files devel
%defattr(-,root,root,-)
%{_includedir}/liballogsmat.h
%{_libdir}/liballogsmat.so
%{_libdir}/liballogsmat.a

%changelog
* Fri Sep 20 2013 Alex Villacis Lasso <a_villacis@palosanto.com> - 2.0.7-1
- Patched library to silence a warning

* Thu Aug 29 2013 Alex Villacis Lasso <a_villacis@palosanto.com> - 2.0.7-0
- Update to 2.0.7

* Mon Aug 19 2013 Alex Villacis Lasso <a_villacis@palosanto.com> - 2.0.5-0
- Initial packaging for Elastix.

